new Vue({
	el: '#childApp',
	data:function(){
		return {
			ss:'sas',
			dateRange:[new Date(), new Date()],
			taskList:[],
			taskvalue: '',
			start_date: '',
			end_date:'',
      dialogTableVisible: false,
			takeList:[],
			takevalue: '',
      loading: true,
      tableData: [],
		}
	},
	methods: {
		changeRange(dateRange){
			this.start_date = dateRange[0];
			this.end_date = dateRange[1];
			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据
		},
		changeTask(msg){
			this.taskvalue = msg;
			this.getTake()
			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据
		},
		changeTake(msg){
			this.takevalue = msg;
			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据
		},
		getTask(){
			let that = this;
      that.taskList = [
        {id:'',name:'全省'},
        {id:'合肥',name:'合肥'},
        {id:'芜湖',name:'芜湖'},
        {id:'蚌埠',name:'蚌埠'},
        {id:'淮南',name:'淮南'},
        {id:'马鞍山',name:'马鞍山'},
        {id:'淮北',name:'淮北'},
        {id:'铜陵',name:'铜陵'},
        {id:'安庆',name:'安庆'},
        {id:'黄山',name:'黄山'},
        {id:'滁州',name:'滁州'},
        {id:'阜阳',name:'阜阳'},
        {id:'毫州',name:'毫州'},
        {id:'宿州',name:'宿州'},
        {id:'六安',name:'六安'},
        {id:'宣城',name:'宣城'},
        {id:'巢湖',name:'巢湖'},
        {id:'池州',name:'池州'},
        {id:'安徽省营业部',name:'安徽省营业部'},
      ];
      //RquestsGet('api/v1/tasks/obtain/').then(data => {
			//	//console.log(data);
			//	if(data.code != 0){
			//		that.taskList = [{id:'',name:'全部任务'}];
			//	}else{
			//		that.taskList = [{id:'',name:'全部任务'}].concat(data.data);
			//		that.getTake()
			//	}
			//})
		},
		getTake(){
			let that = this;
			RquestsGet('api/v1/tasks/seat/?task=' + that.taskvalue).then(data => {
				//console.log(data);

				if(data.code != 0){
					//that.takeList = [{agentName:'全部坐席'}]
				}else{
					that.takeList = data.data;
				}
			})
		},
		Charts(msg){
      let msgLen = msg.length;
      let msgArr = [];
      let that = this;
      for(let key in msg){
        msgArr.unshift([msg[key].rule, msg[key].count , msg[key].details])
      }
			let sourceArr = [
	                [ 'product', 'amount', 'detail'],
	        ].concat(msgArr);
		    var option = {
	        dataZoom : [
	            {
	                type: 'slider',
	                show: true,
	                // orient: 'horizontal',
	                orient: 'vertical',
	                zoomLock: true,
	                // start: 25,
	                // end: 100,
	                startValue: msgLen,
	                endValue: msgLen-10,
	                handleSize: 8
	            },
	            {
	                type: 'inside',
	                // start: 25,
	                // end: 100,
	                orient: 'vertical',
	                zoomLock: true,
	                // zoomOnMouseWheel:false,
	                startValue: 17,
	                endValue: 7,
	            },
	            {
	                type: 'slider',
	                show: true,
	                xAxisIndex: 0,
	                filterMode: 'empty',
	                width: 12,
	                // height: '70%',
	                handleSize: 8,
	                orient: 'vertical',
	                zoomLock: true,
	                showDataShadow: false,
	                left: '93%'
	            }
	        ],

	    
	        dataset: {
	            source: sourceArr
	        },
	        grid: {containLabel: true},
	        xAxis: {name: 'amount'},
	        yAxis: {type: 'category',boundaryGap:'20%'},
	        series: [
	            {
	                type: 'bar',
	                barWidth: 20,
	                barCategoryGap: "20%",
	                label:{
	                    normal: {
	                      position: 'right',
	                      show: true,
	                      color: '#000'
	                    }
	                },
	                itemStyle:{
	                  normal:{
	                    color: '#fccb04' 
	                  },
	                  emphasis:{
	                    color: '#f7d139' 
	                  }
	                },
	                encode: {
	                    x: 'amount',
	                    y: 'product'
	                }
	            }
	        ]
	      };

	        var myChart =  echarts.init(document.getElementById('main'));
        myChart.setOption(option);
        myChart.on('click',function(msg){
          that.tableData = msg.data[2];
          that.dialogTableVisible = true;
        })
	        if(msg.length == 0){
		        myChart.showLoading({
		            	text: '暂无数据',
		          		color: '#ffffff',
		          		textColor: '#8a8e91',
		          		maskColor: 'rgba(255, 255, 255, 0.8)',
				    }
				 );
	        }else{
	        	myChart.hideLoading();
	        }
	        window.onresize = function(){
	          myChart.resize(); 
	        }


		},
		getRule(task,start_date,end_date,agentName){
			let that = this;
			let arr = [];
			this.$loading({text:'数据加载中...'});
			RquestsPost('api/v1/tasks/rule/',{task,start_date,end_date,agentName}).then(data => {
				if(data.code != 0){
					that.$message(data.msg);
					if(data.msg){
						that.$message(data.msg);
					}else{
						that.$message('服务器错误')
					}
				}
				if(!data.data){

					this.$loading().close();
					return false;
				}
				//for(let key in data.data){
				//	arr.unshift([data.data[key],key])
				//}

				that.Charts(data.data);
				this.$loading().close();
			})
    },
    formatSeconds(value) {
        var theTime = parseInt(value);// 秒
        var middle= 0;// 分
        var hour= 0;// 小时
    
        if(theTime > 60) {
            middle= parseInt(theTime/60);
            theTime = parseInt(theTime%60);
            if(middle> 60) {
                hour= parseInt(middle/60);
                middle= parseInt(middle%60);
            }
        }
        var result = ""+parseInt(theTime)+"秒";
        if(middle > 0) {
            result = ""+parseInt(middle)+"分"+result;
        }
        if(hour> 0) {
            result = ""+parseInt(hour)+"小时"+result;
        }
        return result;
    },
		dateFormat(date){
			return date.getFullYear() + "-" + (date.getMonth()+1) + "-" + date.getDate();
    },
    handleTableDetail(index, msg){
      let url = "/quality/audio/check-detail/"+msg.sessionCollectionId+"/"+msg.taskId+"?from=checkTask&sessionId=" + msg.sessionId;
      let autoMessage = {
        jumplink: url
      };
        console.log(autoMessage);
      window.parent.postMessage(autoMessage,'*');
    },
		init(){
			this.dateRange = [new Date(new Date()-24*60*60*1000), new Date()];
			this.start_date = this.dateFormat(new Date(new Date()-24*60*60*1000));
			this.end_date = this.dateFormat(new Date());
			this.getTask();  // 获取任务
			//this.getTake();  // 获取坐席

			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据

		}
	},
	created(){
		this.init()
	},

})
