new Vue({
	el: '#childApp',
	data:function(){
		return {
			ss:'sas',
			dateTime: '',
			taskList:[],
			taskvalue: '',
      isscrollTop: false,
      scrollTop: 0,
			dateRange:[new Date(), new Date()],
			start_date: '',
			end_date:'',
			takeList:[],
      takevalue: '',
			loading: true,
      tableData: [],
      currentPage:1,
      pagesize: 10,
      total: 10,
      isHidePage: true,
		}
	},
  mounted () {
    window.addEventListener('scroll', this.scrollToTop)
  },
  destroyed () {
    window.removeEventListener('scroll', this.scrollToTop)
  },
	methods: {
		changeRange(dateRange){
			this.start_date = dateRange[0];
			this.end_date = dateRange[1];
			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据
		},
		changeTask(msg){
			this.taskvalue = msg;
			this.getTake()
			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据
		},
		changeTake(msg){
			this.takevalue = msg;
			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据
		},
		getTask(){
			let that = this;
      that.taskList = [
        {id:'',name:'全省'},
        {id:'合肥',name:'合肥'},
        {id:'芜湖',name:'芜湖'},
        {id:'蚌埠',name:'蚌埠'},
        {id:'淮南',name:'淮南'},
        {id:'马鞍山',name:'马鞍山'},
        {id:'淮北',name:'淮北'},
        {id:'铜陵',name:'铜陵'},
        {id:'安庆',name:'安庆'},
        {id:'黄山',name:'黄山'},
        {id:'滁州',name:'滁州'},
        {id:'阜阳',name:'阜阳'},
        {id:'毫州',name:'毫州'},
        {id:'宿州',name:'宿州'},
        {id:'六安',name:'六安'},
        {id:'宣城',name:'宣城'},
        {id:'巢湖',name:'巢湖'},
        {id:'池州',name:'池州'},
        {id:'安徽省营业部',name:'安徽省营业部'},
      ];
		},
		getRule(task,start_date,end_date,agentName){
			let that = this;
			this.$loading({text:'数据加载中...'});
			RquestsPost('api/v1/tasks/seat_area/',{task,start_date,end_date,agentName}).then(data => {

				if(data.code != 0){
					//that.takeList = [{agentName:'全部坐席'}]
				}else{
					that.tableData = data.data;
          this.total = data.data.length;
          this.isHidePage = !(data.data.length > 0);
				}
			  that.$loading().close();
			})
		},
		getTake(){
			let that = this;
			RquestsGet('api/v1/tasks/seat/?task=' + that.taskvalue).then(data => {
				//console.log(data);

				if(data.code != 0){
					//that.takeList = [{agentName:'全部坐席'}]
				}else{
					that.takeList = data.data;
				}
			})
		},
    arraySpanMethod({ row, column, rowIndex, columnIndex }) {
      if (rowIndex === 0 || rowIndex === 1) { // 在这里多加一个行的判断就行
        // 合并第二行
        if (columnIndex === 0) {
          // 从第二列开始
          return [1, 6]
        } else if (columnIndex === 2 || columnIndex === 3 || columnIndex === 4 || columnIndex === 5 || columnIndex === 6) {
          return [0, 0]
        }
      } 
    },
		dateFormat(date){
			return date.getFullYear() + "-" + (date.getMonth()+1) + "-" + date.getDate();
		},
    backTop () {
        const that = this
        let timer = setInterval(() => {
          let ispeed = Math.floor(-that.scrollTop / 5)
          document.documentElement.scrollTop = document.body.scrollTop = that.scrollTop + ispeed
          if (that.scrollTop === 0) {
            clearInterval(timer)
          }
        }, 16)
    },

    // 为了计算距离顶部的高度，当高度大于60显示回顶部图标，小于60则隐藏
    scrollToTop () {
      const that = this
      let scrollTop = window.pageYOffset || document.documentElement.scrollTop || document.body.scrollTop
      that.scrollTop = scrollTop
      if (that.scrollTop > 60) {
        that.isscrollTop = true
      } else {
        that.isscrollTop = false
      }
    },
    CurrentChange(page){
      this.currentPage = page;
    },
		init(){
			this.dateRange = [new Date(new Date()-24*60*60*1000), new Date()];
			this.start_date = this.dateFormat(new Date(new Date()-24*60*60*1000));
			this.end_date = this.dateFormat(new Date());
			this.getTask();  // 获取任务
			this.getTake();  // 获取坐席
			this.getRule(this.taskvalue,this.start_date,this.end_date,this.takevalue);  // 获取统计数据


		}
	},
	created(){
		this.init()
	},

})
